Skip to content
Bitaloka Docs
Regional data

Regional data

Look up provinsi, kota/kabupaten, kecamatan and kelurahan.

Request

GET https://api.bitaloka.io/v1/region/{code}
Path parameter→ application/json

Parameters

NameTypeDescription
coderequired text Province (2), regency (4) or district (6) code.Example: 317101

Code samples

Generated from one source and tested against the live API.

curl -sS "https://api.bitaloka.io/v1/region/317101" \
  -H "X-API-Key: $BITALOKA_API_KEY" \
  --fail-with-body

Uses: curl 7.x+ · example.sh

Response

Real response from the live API for the example request.

200 OK · application/json
{
  "valid": true,
  "input": "317101",
  "normalized": "317101",
  "level": "district",
  "province": {
    "code": "31",
    "name": "Daerah Khusus Ibukota Jakarta"
  },
  "regency": {
    "code": "3171",
    "name": "Kota Administrasi Jakarta Pusat"
  },
  "district": {
    "code": "317101",
    "name": "Gambir"
  },
  "summary": "Kecamatan, Gambir, Kota Administrasi Jakarta Pusat, Daerah Khusus Ibukota Jakarta",
  "errors": [],
  "warnings": []
}

Use from an AI agent

On the Bitaloka MCP server this service is the lookup_region tool. MCP server →